<nav class="navbar navbar-expand-lg bg-primary navbar-dark">
    <div class="container-fluid">
        <a class="navbar-brand" href="/home">Dashboard</a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav"
            aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav">
                <li class="nav-item">
                    <a class="nav-link" aria-current="page" href="/home">
                        <i class="fa fa-home" aria-hidden="true"></i>
                        Home
                    </a>
                </li>
            </ul>
            <ul class="navbar-nav ms-auto">
                <% if (session.userId) { %>
                <li class="nav-item">
                    <a class="nav-link fw-bold" href="#">Hi, <%= session.userName %> <%= (session.isAdmin ?'(admin)' : '') %></a>
                </li>
                <li class="nav-item">
                    <a class="nav-link text-danger fw-bold btn-logout" href="/api/logout">
                        <i class="bi bi-box-arrow-left me-1"></i>
                        Logout
                    </a>
                </li>
                <% } %>
                <% if (!session.userId) { %>
                <li class="nav-item">
                    <a class="nav-link text-white fw-bold" href="/login">
                        <i class="bi bi-box-arrow-in-right me-1"></i>
                        Login
                    </a>
                </li>
                <% } %>
            </ul>
        </div>
    </div>
</nav>